/**
 * WEBLAB: Service oriented integration platform for media mining and intelligence applications
 * 
 * Copyright (C) 2004 - 2011 CASSIDIAN
 * 
 * This library is free software; you can redistribute it and/or modify it under the terms of
 * the GNU Lesser General Public License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License along with this
 * library; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA 02110-1301 USA
 */

package org.ow2.weblab.core.helper.impl;

import java.util.List;
import java.util.Set;

import org.ow2.weblab.core.helper.ResourceHelperExtended;

/**
 * This is an implementation of the <code>ResourceHelperExtended</code>. It
 * loads every <code>Annotations</code> that are on this object and in the
 * inner <code>Resources</code>. If the loaded <code>Resource</code> is an <code>Annotation</code>, its content won't be loaded.
 * 
 * @author EADS WebLab Team
 * @date 2008-11-25
 * @todo Prevent the direct instantiation of this class.
 * @deprecated This will not be maintained in following WebLab versions
 */
@Deprecated
public class JenaResourceHelperExtended extends JenaResourceHelper implements ResourceHelperExtended {


	@Override
	public List<String> getAnonReifStats() {
		return this.bejh.getAnonReifStats();
	}


	@Override
	public String getAnonResOfAnonReifStat(final String statId) {
		return this.bejh.getAnonResOfAnonReifStat(statId);
	}


	@Override
	public List<String> getAnonRessOnPredAnonResStatReif(final String uriSubj, final String uriPred, final String idObj, final String uriReif) {
		return this.bejh.getAnonResOnPredAnonResStatReif(uriSubj, uriPred, idObj, uriReif);
	}


	@Override
	public List<String> getAnonRessOnPredAnonResStatReifOnAnonSubj(final String idSubj, final String uriPred, final String idObj, final String uriReif) {
		return this.bejh.getAnonResOnPredAnonResStatReifOnAnonSubj(idSubj, uriPred, idObj, uriReif);
	}


	@Override
	public List<String> getAnonRessOnPredAnonStatReif(final String statId, final String uriPred) {
		return this.bejh.getAnonResOnPredAnonStatReif(statId, uriPred);
	}


	@Override
	public List<String> getAnonRessOnPredAnonSubj(final String idSubj, final String uriPred) {
		return this.bejh.getAnonResOnPredAnonSubj(idSubj, uriPred);
	}


	@Override
	public List<String> getAnonRessOnPredLitStatReif(final String uriSubj, final String uriPred, final String litObj, final String uriReif) {
		return this.bejh.getAnonResOnPredLitStatReif(uriSubj, uriPred, litObj, uriReif);
	}


	@Override
	public List<String> getAnonRessOnPredLitStatReifOnAnonSubj(final String idSubj, final String uriPred, final String litObj, final String uriReif) {
		return this.bejh.getAnonResOnPredLitStatReifOnAnonSubj(idSubj, uriPred, litObj, uriReif);
	}


	@Override
	public List<String> getAnonRessOnPredResStatReif(final String uriSubj, final String uriPred, final String uriObj, final String uriReif) {
		return this.bejh.getAnonResOnPredResStatReif(uriSubj, uriPred, uriObj, uriReif);
	}


	@Override
	public List<String> getAnonRessOnPredResStatReifOnAnonSubj(final String idSubj, final String uriPred, final String uriObj, final String uriReif) {
		return this.bejh.getAnonResOnPredResStatReifOnAnonSubj(idSubj, uriPred, uriObj, uriReif);
	}


	@Override
	public List<String> getAnonRessOnPredStatReif(final String statUri, final String uriPred) {
		return this.bejh.getAnonResOnPredStatReif(statUri, uriPred);
	}


	@Override
	public List<String> getAnonRessOnPredSubj(final String uriSubj, final String uriPred) {
		return this.bejh.getAnonResOnPredSubj(uriSubj, uriPred);
	}


	@Override
	public String getAnonResOnReifStat(final String statUri) {
		return this.bejh.getAnonResOnReifStat(statUri);
	}


	@Override
	public Set<String> getAnonSubjs() {
		return this.bejh.getAnonSubj();
	}


	@Override
	public String getAnonSubjOfAnonReifStat(final String statId) {
		return this.bejh.getAnonSubjOfAnonReifStat(statId);
	}


	@Override
	public String getAnonSubjOfReifStat(final String statUri) {
		return this.bejh.getAnonSubjOfReifStat(statUri);
	}


	@Override
	public Set<String> getAnonSubjsOnPred(final String uriPred) {
		return this.bejh.getAnonSubjOnPred(uriPred);
	}


	@Override
	public Set<String> getAnonSubjsOnPredAnonRes(final String uriPred, final String idObj) {
		return this.bejh.getAnonSubjOnPredAnonRes(uriPred, idObj);
	}


	@Override
	public Set<String> getAnonSubjsOnPredLit(final String uriPred, final String litObj) {
		return this.bejh.getAnonSubjOnPredLit(uriPred, litObj);
	}


	@Override
	public Set<String> getAnonSubjsOnPredRes(final String uriPred, final String uriObj) {
		return this.bejh.getAnonSubjOnPredRes(uriPred, uriObj);
	}


	@Override
	public String getLitOfAnonReifStat(final String statId) {
		return this.bejh.getLitOfAnonReifStat(statId);
	}


	@Override
	public String getLitOfReifStat(final String statUri) {
		return this.bejh.getLitOfReifStat(statUri);
	}


	@Override
	public List<String> getLitsOnPredAnonResStatReif(final String uriSubj, final String uriPred, final String idObj, final String uriReif) {
		return this.bejh.getLitOnPredAnonResStatReif(uriSubj, uriPred, idObj, uriReif);
	}


	@Override
	public List<String> getLitsOnPredAnonResStatReifOnAnonSubj(final String idSubj, final String uriPred, final String idObj, final String uriReif) {
		return this.bejh.getLitOnPredAnonResStatReifOnAnonSubj(idSubj, uriPred, idObj, uriReif);
	}


	@Override
	public List<String> getLitsOnPredAnonStatReif(final String statId, final String uriPred) {
		return this.bejh.getLitOnPredAnonStatReif(statId, uriPred);
	}


	@Override
	public List<String> getLitsOnPredAnonSubj(final String idSubj, final String uriPred) {
		return this.bejh.getLitOnPredAnonSubj(idSubj, uriPred);
	}


	@Override
	public List<String> getLitsOnPredLitStatReif(final String uriSubj, final String uriPred, final String litObj, final String uriReif) {
		return this.bejh.getLitOnPredLitStatReif(uriSubj, uriPred, litObj, uriReif);
	}


	@Override
	public List<String> getLitsOnPredLitStatReifOnAnonSubj(final String idSubj, final String uriPred, final String litObj, final String uriReif) {
		return this.bejh.getLitOnPredLitStatReifOnAnonSubj(idSubj, uriPred, litObj, uriReif);
	}


	@Override
	public List<String> getLitsOnPredResStatReif(final String uriSubj, final String uriPred, final String uriObj, final String uriReif) {
		return this.bejh.getLitOnPredResStatReif(uriSubj, uriPred, uriObj, uriReif);
	}


	@Override
	public List<String> getLitsOnPredResStatReifOnAnonSubj(final String idSubj, final String uriPred, final String uriObj, final String uriReif) {
		return this.bejh.getLitsOnPredResStatReifOnAnonSubj(idSubj, uriPred, uriObj, uriReif);
	}


	@Override
	public List<String> getLitsOnPredStatReif(final String statUri, final String uriPred) {
		return this.bejh.getLitsOnPredStatReif(statUri, uriPred);
	}


	@Override
	public String getPredOfAnonReifStat(final String statId) {
		return this.bejh.getPredOfAnonReifStat(statId);
	}


	@Override
	public String getPredOfReifStat(final String statUri) {
		return this.bejh.getPredOfReifStat(statUri);
	}


	@Override
	public Set<String> getPredsOnAnonResStatReif(final String uriSubj, final String uriPred, final String idObj) {
		return this.bejh.getPredOnAnonResStatReif(uriSubj, uriPred, idObj);
	}


	@Override
	public Set<String> getPredsOnAnonResStatReifOnAnonSubj(final String idSubj, final String uriPred, final String idObj) {
		return this.bejh.getPredOnAnonResStatReifOnAnonSubj(idSubj, uriPred, idObj);
	}


	@Override
	public Set<String> getPredsOnAnonStatReif(final String statId) {
		return this.bejh.getPredOnAnonStatReif(statId);
	}


	@Override
	public Set<String> getPredsOnAnonSubj(final String idSubj) {
		return this.bejh.getPredOnAnonSubj(idSubj);
	}


	@Override
	public Set<String> getPredsOnLitStatReif(final String uriSubj, final String uriPred, final String litObj) {
		return this.bejh.getPredOnLitStatReif(uriSubj, uriPred, litObj);
	}


	@Override
	public Set<String> getPredsOnLitStatReifOnAnonSubj(final String idSubj, final String uriPred, final String litObj) {
		return this.bejh.getPredOnLitStatReifOnAnonSubj(idSubj, uriPred, litObj);
	}


	@Override
	public Set<String> getPredsOnResStatReif(final String uriSubj, final String uriPred, final String uriObj) {
		return this.bejh.getPredOnResStatReif(uriSubj, uriPred, uriObj);
	}


	@Override
	public Set<String> getPredsOnResStatReifOnAnonSubj(final String idSubj, final String uriPred, final String uriObj) {
		return this.bejh.getPredOnResStatReifOnAnonSubj(idSubj, uriPred, uriObj);
	}


	@Override
	public Set<String> getPredsOnStatReif(final String statUri) {
		return this.bejh.getPredOnStatReif(statUri);
	}


	@Override
	public List<String> getReifStats() {
		return this.bejh.getReifStats();
	}


	@Override
	public String getResOfAnonReifStat(final String statId) {
		return this.bejh.getResOfAnonReifStat(statId);
	}


	@Override
	public String getResOfReifStat(final String statUri) {
		return this.bejh.getResOfReifStat(statUri);
	}


	@Override
	public List<String> getRessOnPredAnonResStatReif(final String uriSubj, final String uriPred, final String idObj, final String uriReif) {
		return this.bejh.getResOnPredAnonResStatReif(uriSubj, uriPred, idObj, uriReif);
	}


	@Override
	public List<String> getRessOnPredAnonResStatReifOnAnonSubj(final String idSubj, final String uriPred, final String idObj, final String uriReif) {
		return this.bejh.getResOnPredAnonResStatReifOnAnonSubj(idSubj, uriPred, idObj, uriReif);
	}


	@Override
	public List<String> getRessOnPredAnonStatReif(final String statId, final String uriPred) {
		return this.bejh.getResOnPredAnonStatReif(statId, uriPred);
	}


	@Override
	public List<String> getRessOnPredAnonSubj(final String idSubj, final String uriPred) {
		return this.bejh.getResOnPredAnonSubj(idSubj, uriPred);
	}


	@Override
	public List<String> getRessOnPredLitStatReif(final String uriSubj, final String uriPred, final String litObj, final String uriReif) {
		return this.bejh.getResOnPredLitStatReif(uriSubj, uriPred, litObj, uriReif);
	}


	@Override
	public List<String> getRessOnPredLitStatReifOnAnonSubj(final String idSubj, final String uriPred, final String litObj, final String uriReif) {
		return this.bejh.getResOnPredLitStatReifOnAnonSubj(idSubj, uriPred, litObj, uriReif);
	}


	@Override
	public List<String> getRessOnPredResStatReif(final String uriSubj, final String uriPred, final String uriObj, final String uriReif) {
		return this.bejh.getResOnPredResStatReif(uriSubj, uriPred, uriObj, uriReif);
	}


	@Override
	public List<String> getRessOnPredResStatReifOnAnonSubj(final String idSubj, final String uriPred, final String uriObj, final String uriReif) {
		return this.bejh.getResOnPredResStatReifOnAnonSubj(idSubj, uriPred, uriObj, uriReif);
	}


	@Override
	public List<String> getRessOnPredStatReif(final String statUri, final String uriPred) {
		return this.bejh.getResOnPredStatReif(statUri, uriPred);
	}


	@Override
	public String getSubjOfAnonReifStat(final String statId) {
		return this.bejh.getSubjOfAnonReifStat(statId);
	}


	@Override
	public String getSubjOfReifStat(final String statUri) {
		return this.bejh.getSubjOfReifStat(statUri);
	}


	@Override
	public Set<String> getSubjsOnPredAnonRes(final String uriPred, final String idObj) {
		return this.bejh.getSubjOnPredAnonRes(uriPred, idObj);
	}


	@Override
	public boolean hasAnonResStat(final String uriSubj, final String uriPred, final String idObj) {
		return this.bejh.hasAnonResStat(uriSubj, uriPred, idObj);
	}


	@Override
	public boolean hasAnonResStatOnAnonSubj(final String idSubj, final String uriPred, final String idObj) {
		return this.bejh.hasAnonResStatOnAnonSubj(idSubj, uriPred, idObj);
	}


	@Override
	public boolean hasLitStatOnAnonSubj(final String idSubj, final String uriPred, final String litObj) {
		return this.bejh.hasLitStatOnAnonSubj(idSubj, uriPred, litObj);
	}


	@Override
	public boolean hasResStatOnAnonSubj(final String idSubj, final String uriPred, final String uriObj) {
		return this.bejh.hasResStatOnAnonSubj(idSubj, uriPred, uriObj);
	}


	@Override
	public boolean isAnonResStatReif(final String uriSubj, final String uriPred, final String idObj) {
		return this.bejh.isAnonResStatReif(uriSubj, uriPred, idObj);
	}


	@Override
	public boolean isAnonResStatReifOnAnonSubj(final String idSubj, final String uriPred, final String idObj) {
		return this.bejh.isAnonResStatReifOnAnonSubj(idSubj, uriPred, idObj);
	}


	@Override
	public boolean isDefinedAnonRes(final String id) {
		return this.bejh.isDefinedAnonRes(id);
	}


	@Override
	public boolean isLitStatReif(final String uriSubj, final String uriPred, final String litObj) {
		return this.bejh.isLitStatReif(uriSubj, uriPred, litObj);
	}


	@Override
	public boolean isLitStatReifOnAnonSubj(final String idSubj, final String uriPred, final String litObj) {
		return this.bejh.isLitStatReifOnAnonSubj(idSubj, uriPred, litObj);
	}


	@Override
	public boolean isResStatReif(final String uriSubj, final String uriPred, final String uriObj) {
		return this.bejh.isResStatReif(uriSubj, uriPred, uriObj);
	}


	@Override
	public boolean isResStatReifOnAnonSubj(final String idSubj, final String uriPred, final String uriObj) {
		return this.bejh.isResStatReifOnAnonSubj(idSubj, uriPred, uriObj);
	}

}
